Bug 115205 - isdnlog does not work with Fritz!Card PCI V2.0
Summary: isdnlog does not work with Fritz!Card PCI V2.0
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: isdn4k-utils   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-08 20:00 UTC by Bernd Bartmann
Modified: 2015-01-08 00:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 22:33:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernd Bartmann 2004-02-08 20:00:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
isdnlog does not run when the ISDN card is an Fritz!Card PCI V2.0.
This problem lies in the ISDN initscript. Fritz!Card PCI V2.0 uses
hisax_fcpcipnp and not only hisax as its $MODULE as defined in
/etc/sysconfig/isdncard.

There are two problems with the initscript:

1. In function start_isdnlog() there is a check for $MODULE = hisax
this should be extended to $MODULE = hisax OR $MODULE = hisax_fcpcipnp

2. In the same function there is a call to hisaxctrl HiSax ...
For the Fritz!Card PCI V2.0 this should instead be hisaxctrl fcpcipnp0
... 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to get isdnlog running with a Fritz!Card PCI V2.0
2.
3.
    

Additional info:

Comment 1 Ngo Than 2004-02-11 22:33:16 UTC
it is fixed in rawhide. Many thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.